> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# AddSecret

POST https://api.voximplant.com/platform_api/AddSecret

Adds a new secret.

**Example request:** Add a new secret to application 1

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/secrets/add-secret

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /AddSecret:
    post:
      operationId: add-secret
      summary: AddSecret
      description: |-
        Adds a new secret.

        **Example request:** Add a new secret to application 1
      tags:
        - subpackage_secrets
      parameters:
        - name: application_id
          in: query
          description: >-
            Application ID to add the secret to. **Required** unless
            **application_name** is provided.
          required: false
          schema:
            type: integer
        - name: application_name
          in: query
          description: >-
            Application name. **Required** unless **application_id** is
            provided.
          required: false
          schema:
            type: string
        - name: secret_name
          in: query
          description: >-
            Secret name. The name must start with a Latin letter and can contain
            up to 64 characters, including Latin letters, digits and underscores
          required: true
          schema:
            type: string
        - name: secret_value
          in: query
          description: Secret value. Maximum length is 8192 characters
          required: true
          schema:
            type: string
        - name: description
          in: query
          description: >-
            Optional. Secret description. When processing, the length is
            truncated to the first 200 characters
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/secrets_AddSecret_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    AddSecretResult:
      type: object
      properties:
        secret_id:
          type: integer
          description: Added secret ID
      description: The [AddSecret] function result
      title: AddSecretResult
    secrets_AddSecret_Response_200:
      type: object
      properties:
        result:
          $ref: '#/components/schemas/AddSecretResult'
          description: Result with the added secret ID
      title: secrets_AddSecret_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Secret successfully created
import requests

url = "https://api.voximplant.com/platform_api/AddSecret"

querystring = {"secret_name":"secret_name","secret_value":"secret_value"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Secret successfully created
const url = 'https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Secret successfully created
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Secret successfully created
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Secret successfully created
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Secret successfully created
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Secret successfully created
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Secret successfully created
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/AddSecret?secret_name=secret_name&secret_value=secret_value")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```